## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate zeroize

Name:           rust-zeroize
Version:        1.7.0
Release:        %autorelease
Summary:        Securely clear secrets from memory

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/zeroize
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Securely clear secrets from memory with a simple trait built on stable
Rust primitives which guarantee memory is zeroed using an operation will
not be 'optimized away' by the compiler. Uses a portable pure Rust
implementation that works everywhere, even WASM!.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+aarch64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aarch64-devel %{_description}

This package contains library source intended for building other packages which
use the "aarch64" feature of the "%{crate}" crate.

%files       -n %{name}+aarch64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroize_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroize_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroize_derive" feature of the "%{crate}" crate.

%files       -n %{name}+zeroize_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Nov 25 2023 Fabio Valentini <decathorpe@gmail.com> - 1.7.0-1
- Update to version 1.7.0; Fixes RHBZ#2250104

* Thu Nov 16 2023 Fabio Valentini <decathorpe@gmail.com> - 1.6.1-1
- Update to version 1.6.1; Fixes RHBZ#2249898

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 30 2023 Fabio Valentini <decathorpe@gmail.com> - 1.6.0-1
- Update to version 1.6.0; Fixes RHBZ#2181927

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 29 2022 Fabio Valentini <decathorpe@gmail.com> - 1.5.7-1
- Update to version 1.5.7; Fixes RHBZ#2109319

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 13 2022 Fabio Valentini <decathorpe@gmail.com> - 1.5.6-1
- Update to version 1.5.6; Fixes RHBZ#2102554

* Thu May 12 2022 Fabio Valentini <decathorpe@gmail.com> - 1.5.5-1
- Update to version 1.5.5; Fixes RHBZ#2080692

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> - 1.5.4-1
- Update to version 1.5.4; Fixes RHBZ#2064970

* Fri Feb 25 2022 Fabio Valentini <decathorpe@gmail.com> - 1.5.3-1
- Update to version 1.5.3; Fixes RHBZ#2058775

* Mon Jan 31 2022 Fabio Valentini <decathorpe@gmail.com> - 1.5.2-1
- Update to version 1.5.2; Fixes RHBZ#2047315

* Thu Jan 27 2022 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-1
- Update to version 1.5.0; Fixes RHBZ#2040879

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Nov 10 2021 Fabio Valentini <decathorpe@gmail.com> - 1.4.3-1
- Update to version 1.4.3; Fixes RHBZ#2006521

* Sun Aug 01 2021 Fabio Valentini <decathorpe@gmail.com> - 1.4.1-1
- Update to version 1.4.1; Fixes RHBZ#1951164

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 10 2020 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-1
- Update to version 1.2.0.
- Fixes RHBZ#1906212

* Thu Sep 17 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-1
- Update to version 1.1.1.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 21 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 1.1.0-2
- Review updates

* Thu Jul 16 2020 Peter Robinson <pbrobinson@fedoraproject.org> - 1.1.0-1
- Initial package

